Image Store Signals

Signals:

- image-deleting

See also
  imgstore.h

# image-deleting

char *(*image_deleting)(const PurpleStoredImage *img);

Description:
  Emitted when a PurpleStoredImage is about to be destroyed. This allows for what amounts to weak references. Code can hold onto a pointer to the PurpleStoredImage without actually "holding" a reference. They can then use a signal handler to let them know when their img is about to be destroyed.

Parameters

  img | The image about to be destroyed.

Note
  It's not possible to purple_imgstore_ref() img to save it.